<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>CST-120 Syllabus</title>

		<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
		<link href="http://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" rel="stylesheet">
		<script src="http://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
		<script src="http://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.bundle.min.js"></script>
		<link rel="stylesheet" type="text/css" href="css/mysite.css" />
	</head>
	<body>
		<nav class="navbar navbar-expand-lg navbar-dark" style="background-color: #4f2fb6">
			<a class="navbar-brand" href="#">GCU</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarNavDropdown">
				<ul class="navbar-nav">
					<li class="nav-item active"><a class="nav-link" href="tando.html">Course Matrix</a></li>
					<li class="nav-item"><a class="nav-link" href="media.html">Media</a></li>
					<li class="nav-item dropdown">
						<a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							Topics
						</a>
						<div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
							<a class="dropdown-item" href="#topic1" data-toggle="collapse">Topic 1</a>
							<a class="dropdown-item" href="#topic2" data-toggle="collapse">Topic 2</a>
							<a class="dropdown-item" href="#topic3" data-toggle="collapse">Topic 3</a>
							<a class="dropdown-item" href="#topic4" data-toggle="collapse">Topic 4</a>
							<a class="dropdown-item" href="#topic5" data-toggle="collapse">Topic 5</a>
							<a class="dropdown-item" href="#topic6" data-toggle="collapse">Topic 6</a>
							<a class="dropdown-item" href="#topic7" data-toggle="collapse">Topic 7</a>
						</div>
					</li>
				</ul>
			</div>
		</nav>

		<h1
			align="center"
			style="text-shadow: 2px 2px gray;"
		>CST-120 Web Development Syllabus</h1>
		<p align="center">
			<img
				src="images/gcu.png"
				alt="GCU Logo"
				height="100"
				style="border-radius: 8px;"
			/>
		</p>

		<h2>Course Description</h2>
		<p>This course introduces the fundamental concepts and syntax of the web development languages including HTML, CSS,
			and JavaScript. The course focuses on foundation required to build complex dynamic web applicatiuons.
			Prerequisite: none.
		</p>

		<h2>Credits</h2>
		<p>4</p>

		<h2>Required Course Materials</h2>
		<h3>TextBook</h3>
		<p>There is no textbook for this class. Weekly readings are from the W3 Schools web site.</p>
		<h3>Microsoft Visual Studio Code</h3>
		<p>Install this tool per the Activity 1 Guide and per the instructions as specified by your instructor</p>
		<h3>Bootstrap Studio</h3>
		<p>
			This course requires the use of Bootstrap Studio.<br /><br />
			Access thge Bootstrap Studio website. Then, scroll down to the bottom of the Home Page to the FAQ link. Click on the FAQ link.
			Scroll to the bottom of the FAQ where the question is asked if there "Is a student license." Click on the Apply link.<br /><br />
			Fill out the Application for the Student License form and submit the request.<br />
			Be sure to install as specified by your instructor.
		</p>

		<h2>Additional Materials</h2>
		<h3>Laptop</h3>
		<p>This course requires students to have a laptop. Students will use their laptop to complete the course
			assignments. Technical specifications can be found in the University Policy Handbook.</p>

		<h3>CLC Project Guide</h3>
		<p>Refer to this resource when completing the course CLC Milestone assignments.</p>
		<h3>Activity Guide</h3>
		<p>Refer to this resource when completing the course activities.</p>

		<hr />

		<div id="accordion" class="accordion">
			<div id="topic1" class="collapse" data-parent="#accordion" style="width: 48rem;">
				<div class="card" style="padding: 10px;">
					<h3>Week 1</h3>
					<h2>Topic 1 HTML</h2>
					<p>In this topic, students are introduced to the HTML markup language where they learn basic structure, basic elements of an HTML document, and how to work with text and basic controls. The students finish this topic by learning the developer tools available to them, as well as how web servers work to help support development of HTML-based applications.</p>

					<ol>
						<li>Develop webpages with basic elements and structure that include, but are not limited to, document, head, and body tags.</li>
						<li>Develop webpages with text that includes, but is not limited to, headings, paragraphs, formatting, fonts, and color tags.</li>
						<li>Develop webpages with components that include, but are not limited to, links, images, and lists tags.</li>
						<li>Investigate how a web server functions. Identify differences between localhost, file URL and domain names in the URL.</li>
						<li>Investigate the developer's tools available as a webpage developer.</li>
					</ol>

					<h3>Readings</h3>
					<ul>
						<li>W3Schools: Go to https://www.w3schools.com. Select the Learn HTML menu under the HTML and CSS section. Complete all reading and tutorials under the HTML Home Tutorial section.</li>
					</ul>
				</div>
			</div>

			<div id="topic2" class="collapse" data-parent="#accordion" style="width: 48rem;">
				<div class="card" style="padding: 10px;">
					<h3>Week 2</h3>
					<h2>Topic 2 Advanced HTML</h2>
					<p>In this topic, students continue to expand their knowledge of the HTML markup language, learning some of the more advanced features of the HTML markup language and how to work with layouts, graphics, and media content. The students finish this topic by learning how to make HTML pages ADA compliant.</p>

					<ol>
						<li>Develop webpages with layouts that include, but are not limited to, blocks/div/span, tables, and layouts tags.</li>
						<li>Develop webpages with Graphics that include, but are not limited to, image, canvas, and SVG tags.</li>
						<li>Develop webpages with media that include, but are not limited to, video and audio tags.</li>
						<li>Explain how and why ADA compliance is achieved with ADA guidelines.</li>
					</ol>

					<h3>Readings</h3>
					<ul>
						<li>W3Schools: Go to https://www.w3schools.com. Select the Learn HTML menu under the HTML and CSS section. Complete all reading and tutorials under the HTML Forms, HTML Graphics, HTML Media, and HTML API's Tutorial sections.</li>
					</ul>
				</div>
			</div>

			<div id="topic3" class="collapse" data-parent="#accordion" style="width: 48rem;">
				<div class="card" style="padding: 10px;">
					<h3>Week 3</h3>
					<h2>Topic 3 CSS</h2>
					<p>In this topic, students learn Cascading Style Sheets (CSS) and to apply styling to HTML pages using fonts, colors, and formatting. The students finish the topic by learning how to apply backgrounds, transitions, and animations to their HTML pages.</p>

					<ol>
						<li>Develop webpages with CSS basics styles that include, but are not limited to, inline, internal, external, and selectors styles.</li>
						<li>Develop webpages with text that include, but are not limited to, built-in fonts, custom fonts from external sources, color, and alignment styles.</li>
						<li>Develop webpages with formatting and layouts that include, but are not limited to, backgrounds, borders, margins, padding, width/height, and the box model styles.</li>
						<li>Develop webpages that include, but are not limited to, transitions and animations styles.</li>
					</ol>

					<h3>Readings</h3>
					<ul>
						<li>W3Schools: Go to https://www.w3schools.com. Select the Learn CSS menu under the HTML and CSS section. Complete all reading and tutorials under the CSS Tutorial and CSS Advanced Tutorial sections.</li>
					</ul>
				</div>
			</div>

			<div id="topic4" class="collapse" data-parent="#accordion" style="width: 48rem;">
				<div class="card" style="padding: 10px;">
					<h3>Week 4</h3>
					<h2>Topic 4 JavaScript</h2>
					<p>In this topic, students are introduced to the JavaScript programming language. This programming language is used as the foundation for client-side programming on webpages. Students learn the basic language syntax, how to work with variables, make decisions, perform repetitive operations, and create reusable functions.</p>

					<ol>
						<li>Develop code that integrates basic JavaScript (inline and external files) in a webpage.</li>
						<li>Develop code that leverages variables and data types in a webpage.</li>
						<li>Develop code that leverages operators (math, assignment, comparison, logical, Boolean, and string) in a webpage.</li>
						<li>Develop code that uses controls (if, for, loops) in a webpage.</li>
						<li>Develop code that uses reusable functions in a webpage.</li>
					</ol>

					<h3>Readings</h3>
					<ul>
						<li>W3Schools: Go to https://www.w3schools.com. Select the Learn JavaScript menu under the JavaScript section. Complete all reading and tutorials under the JS Tutorial Tutorial section.</li>
					</ul>
				</div>
			</div>

			<div id="topic5" class="collapse" data-parent="#accordion" style="width: 48rem;">
				<div class="card" style="padding: 10px;">
					<h3>Week 5</h3>
					<h2>Topic 5 Advanced JavaScript</h2>
					<p>In this topic, students continue to expand their knowledge of the JavaScript programming language, learning how to create objects, work with data as arrays, and handle events from DOM objects from their HTML pages. The students finish the topic by also being introduced to the JavaScript Object Notation (JSON), learning the advanced features of newer updates to the JavaScript programming language and how this programming language is used along with current web application frameworks as the foundation for building modern dynamic web applications.</p>

					<ol>
						<li>Develop code that leverages objects in a webpage.</li>
						<li>Develop code that leverages arrays in a webpage.</li>
						<li>Develop code that handles events in a webpage.</li>
						<li>Explain what JSON is and how this data format is used to build web applications.</li>
						<li>Investigate advanced features found in recent updates to the JavaScript programming language.</li>
						<li>Investigate recent JavaScript web application frameworks that are available to build dynamic web applications.</li>
					</ol>

					<h3>Readings</h3>
					<ul>
						<li>W3Schools: Go to https://www.w3schools.com. Select the Learn JavaScript menu under the JavaScript section. Complete all reading and tutorials under the JS Forms, JS Objects, JS Functions, and JS HTML DOM Tutorial sections.</li>
						<li>W3Schools: Go to https://www.w3schools.com. Select the Learn JavaScript menu under the JavaScript section. Complete all reading and tutorials under the JS Browser BOM, JS AJAX, and JS JSON Tutorial sections.</li>
					</ul>
				</div>
			</div>

			<div id="topic6" class="collapse" data-parent="#accordion" style="width: 48rem;">
				<div class="card" style="padding: 10px;">
					<h3>Week 6</h3>
					<h2>Topic 6 Web Development Libraries</h2>
					<p>In this topic, students learn to use web development libraries to add dynamic, rich, and compelling content and user interfaces to their webpages. Students are also introduced to the concept of responsive webpages, what this means, and how they can support this concept when building their webpages.</p>

					<ol>
						<li>Develop webpages that supports a responsive design.</li>
						<li>Develop webpages that leverage the use of jQuery, which includes but is not limited to, the use of selectors, events, DOM manipulation, AJAX, and data table features.</li>
						<li>Develop webpages that leverage the use of Bootstrap, which includes but is not limited to, the use of the grid system and various UI components (buttons, text, alerts, tables, forms, and NavBar).</li>
					</ol>

					<h3>Readings</h3>
					<ul>
						<li>W3Schools: Go to https://www.w3schools.com. Select the Learn CSS menu under the HTML and CSS section. Complete all reading and tutorials under the CSS Responsive and CSS Grid Tutorial sections.</li>
						<li>W3Schools: Go to https://www.w3schools.com. Select the Learn jQuery menu under the JavaScript section. Complete all reading and tutorials under the jQuery Tutorial, jQuery Effects, jQuery HTML, and jQuery AJAX Tutorial sections.</li>
						<li>W3Schools : Go to https://www.w3schools.com. Select the Learn Bootstrap menu under the HTML and CSS section. Complete all reading and tutorials for the latest version of Bootstrap under the Bootstrap Tutorial and Bootstrap Grid Tutorial sections.</li>
					</ul>
				</div>
			</div>

			<div id="topic7" class="collapse" data-parent="#accordion" style="width: 48rem;">
				<div class="card" style="padding: 10px;">
					<h3>Week 7</h3>
					<h2>Topic 7 Advanced Web Development</h2>
					<p>In this topic, students learn that building static webpages has limits and that they often need to be deployed on web servers sometimes backed with a server-side programming language or database. This topic, at minimum, will introduce the students to the HTTP protocol, client server model, HTML forms, and how to implement forms processing to expand on the capabilities of the webpages they have built so far in previous topics. This topic introduces the students to the basic concepts required for future web application development courses where formal dynamic web application frameworks are used.</p>

					<ol>
						<li>Investigate the HTTP protocol and client server model.</li>
						<li>Develop webpages with HTML forms.</li>
						<li>Develop webpages that integrate forms processing on the server.</li>
					</ol>

					<h3>Readings</h3>
					<ul>
						<li>None</li>
					</ul>
				</div>
			</div>
		</div>
	</body>
</html>